Bug 200925 - audio/cdparanoia: Update to cdparanoia-III-10.2 (3.10.2)
Summary: audio/cdparanoia: Update to cdparanoia-III-10.2 (3.10.2)
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexey Dokuchaev
URL: http://xiph.org/paranoia/
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-17 00:18 UTC by tuden0
Modified: 2019-09-10 19:29 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (danfe)


Attachments
patch to update audio/cdparanoia to the latest released version (66.96 KB, patch)
2019-07-27 13:13 UTC, tobias.rehbein
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tuden0 2015-06-17 00:18:47 UTC
Update audio/cdparanoia from cdparanoia-III-alpha9.8 to cdparanoia-III-10.2 .
https://xiph.org/paranoia/
http://downloads.xiph.org/releases/cdparanoia/cdparanoia-III-10.2.src.tgz
https://svn.xiph.org/trunk/cdparanoia/
Comment 1 Alexey Dokuchaev freebsd_committer 2015-07-16 14:42:43 UTC
Yes, I'm having a half-baked (actually more than half: it is runnable) sitting im my tree, but had experiences weird segmentation faults that did not occur with current (previous) version.

I know it's been a while, I really need to get my act together and finish it.  Thanks for bugging!
Comment 2 tuden0 2015-07-28 23:52:29 UTC
Maybe post the link to your tree in here or put the code somewhere
(github?) and post to multimedia@ maybe some other people will look
at it with you. I'm sure you will find these faults :)

As far as port version things...

Some other OS are based on cdparanoia RELEASE, but are carrying
some patches that have since been committed to cdparanoia HEAD,
which is redundant. Since cdparanoia is small and inactive, there
would be no need to do that, or to maintain a -dev version of it
in ports. So I would actually base the port on cdparanoia HEAD in
the following way and order:

the RELEASE tarball above + one patch file to HEAD + patch files
needed to port the HEAD to FreeBSD + any remaining bug and feature
patches from other OS that are not in HEAD.

cdparanoia HEAD r17289 2010-06-11
cdparanoia RELEASE 10.2 r15302 2008-09-11

svn log https://svn.xiph.org/trunk/cdparanoia/
svn diff -r 15302:HEAD https://svn.xiph.org/trunk/cdparanoia/ > HEAD.patch

Here are the other major independant OS repos for reference, review,
and inclusion. Note the kFreeBSD patch, and that both NetBSD and
all the Linux are on 10.2 (the rest of BSD are on 9.8).

http://cvsweb.netbsd.org/bsdweb.cgi/pkgsrc/audio/cdparanoia/
https://svnweb.freebsd.org/ports/head/audio/cdparanoia/
https://github.com/DragonFlyBSD/DPorts/tree/master/audio/cdparanoia
http://cvsweb.openbsd.org/cgi-bin/cvsweb/ports/audio/cdparanoia/

https://anonscm.debian.org/cgit/pkg-opt-media/cdparanoia.git
https://anonscm.debian.org/cgit/pkg-opt-media/cdparanoia.git/tree/debian/patches/05-kfreebsd.patch
https://projects.archlinux.org/svntogit/packages.git/?h=packages/cdparanoia
https://pkgs.fedoraproject.org/cgit/cdparanoia.git/
https://build.opensuse.org/package/show/openSUSE:Factory/cdparanoia
https://svnweb.mageia.org/packages/cauldron/cdparanoia/current/
Comment 3 Walter Schwarzenfeld freebsd_triage 2018-01-12 07:37:31 UTC
Any advance here?
Comment 4 Walter Schwarzenfeld freebsd_triage 2019-02-15 23:31:17 UTC
ping!
Comment 5 tobias.rehbein 2019-07-24 07:33:01 UTC
I recently decided to give this update a try on my own, independent of the maintainers work. I have an experimental version of cdparanoia-III-10.2 that seems to work fine on my machine.

I am still testing with some audio CDs that triggered reproducible SCSI errors using 9.8 (this was the reason I decided to work on this issue) and it looks good so far.

In other words: I don't feel ready to officially submit this update right now (in the end this stuff is surprisingly low level), but if someone wants to try the update and provide feedback or if danfe is interested in merging my stuff into their work, feel free: 

https://github.com/blabber/freebsd-ports-wip/tree/master/audio/cdparanoia
Comment 6 tobias.rehbein 2019-07-27 13:13:11 UTC
Created attachment 206100 [details]
patch to update audio/cdparanoia to the latest released version
Comment 7 tobias.rehbein 2019-07-27 13:14:53 UTC
audio/cdparanoia: Update to cdparanoia-III-10.2 (3.10.2)

The attached patch updates cdparanoia to the latest release. Additionally the patch adds support for audio CDs containing data tracks.

Three patches committed to the upstream SVN are also included:
-r15314: Optimizes autosense and fixes a bug in verify_read_command.
-r15337: fixes the "-p" option.
-r15338: fixes build on gcc architectures.

* portlint: looks fine
* poudriere: amd64 12.0 and amd64 11.3 are ok

I ripped several enhanced CDs (audio + data) using this version without any issues. I also managed to rip a CD that reproducible triggered a SCSI transport error with the old version. Another CD that reported a scratch using the old version, reported only jitter using this version.
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2019-08-03 08:32:35 UTC
Thank you for the QA'd update Tobias!
Comment 9 tobias.rehbein 2019-09-10 19:29:16 UTC
A final report from my side: I ripped 147 audio CDs and enhanced audio cds using the attached patch. I am quite confident, that the update works fine.

My main issue is, that I only have a single drive to test, but I got a success report by one person on IRC who volunteered to test the update.